:root {
  --b1-black-font-family: "Geist", Helvetica;
  --b1-black-font-size: 14px;
  --b1-black-font-style: normal;
  --b1-black-font-weight: 900;
  --b1-black-letter-spacing: -0.5px;
  --b1-black-line-height: 20px;
  --b1-bold-font-family: "Geist", Helvetica;
  --b1-bold-font-size: 14px;
  --b1-bold-font-style: normal;
  --b1-bold-font-weight: 700;
  --b1-bold-letter-spacing: 0px;
  --b1-bold-line-height: 20px;
  --b1-medium-font-family: "Geist", Helvetica;
  --b1-medium-font-size: 14px;
  --b1-medium-font-style: normal;
  --b1-medium-font-weight: 500;
  --b1-medium-letter-spacing: 0px;
  --b1-medium-line-height: 20px;
  --b1-strikethrough-font-family: "Geist", Helvetica;
  --b1-strikethrough-font-size: 14px;
  --b1-strikethrough-font-style: normal;
  --b1-strikethrough-font-weight: 500;
  --b1-strikethrough-letter-spacing: 0px;
  --b1-strikethrough-line-height: 20px;
  --b1-underline-font-family: "Geist", Helvetica;
  --b1-underline-font-size: 14px;
  --b1-underline-font-style: normal;
  --b1-underline-font-weight: 500;
  --b1-underline-letter-spacing: 0px;
  --b1-underline-line-height: 20px;
  --b2-black-font-family: "Geist", Helvetica;
  --b2-black-font-size: 12px;
  --b2-black-font-style: normal;
  --b2-black-font-weight: 900;
  --b2-black-letter-spacing: 0px;
  --b2-black-line-height: 16px;
  --b2-bold-font-family: "Geist", Helvetica;
  --b2-bold-font-size: 12px;
  --b2-bold-font-style: normal;
  --b2-bold-font-weight: 700;
  --b2-bold-letter-spacing: 0px;
  --b2-bold-line-height: 16px;
  --b2-medium-font-family: "Geist", Helvetica;
  --b2-medium-font-size: 12px;
  --b2-medium-font-style: normal;
  --b2-medium-font-weight: 500;
  --b2-medium-letter-spacing: 0px;
  --b2-medium-line-height: 16px;
  --b2-strikethrough-font-family: "Geist", Helvetica;
  --b2-strikethrough-font-size: 12px;
  --b2-strikethrough-font-style: normal;
  --b2-strikethrough-font-weight: 500;
  --b2-strikethrough-letter-spacing: 0px;
  --b2-strikethrough-line-height: 16px;
  --b2-underline-font-family: "Geist", Helvetica;
  --b2-underline-font-size: 12px;
  --b2-underline-font-style: normal;
  --b2-underline-font-weight: 500;
  --b2-underline-letter-spacing: 0px;
  --b2-underline-line-height: 16px;
  --b3-bold-font-family: "Geist", Helvetica;
  --b3-bold-font-size: 10px;
  --b3-bold-font-style: normal;
  --b3-bold-font-weight: 700;
  --b3-bold-letter-spacing: 0px;
  --b3-bold-line-height: 16px;
  --b3-medium-font-family: "Geist", Helvetica;
  --b3-medium-font-size: 10px;
  --b3-medium-font-style: normal;
  --b3-medium-font-weight: 500;
  --b3-medium-letter-spacing: 0px;
  --b3-medium-line-height: 16px;
  --b3-underline-font-family: "Geist", Helvetica;
  --b3-underline-font-size: 10px;
  --b3-underline-font-style: normal;
  --b3-underline-font-weight: 400;
  --b3-underline-letter-spacing: 0px;
  --b3-underline-line-height: 16px;
  --b4-black-font-family: "Geist", Helvetica;
  --b4-black-font-size: 8px;
  --b4-black-font-style: normal;
  --b4-black-font-weight: 900;
  --b4-black-letter-spacing: 0px;
  --b4-black-line-height: 16px;
  --d1-bold-font-family: "Geist", Helvetica;
  --d1-bold-font-size: 96px;
  --d1-bold-font-style: normal;
  --d1-bold-font-weight: 700;
  --d1-bold-letter-spacing: -2px;
  --d1-bold-line-height: 110px;
  --d1-medium-font-family: "Geist", Helvetica;
  --d1-medium-font-size: 96px;
  --d1-medium-font-style: normal;
  --d1-medium-font-weight: 500;
  --d1-medium-letter-spacing: -2px;
  --d1-medium-line-height: 110px;
  --d2-bold-font-family: "Geist", Helvetica;
  --d2-bold-font-size: 72px;
  --d2-bold-font-style: normal;
  --d2-bold-font-weight: 700;
  --d2-bold-letter-spacing: -2px;
  --d2-bold-line-height: 86px;
  --d2-medium-font-family: "Geist", Helvetica;
  --d2-medium-font-size: 72px;
  --d2-medium-font-style: normal;
  --d2-medium-font-weight: 500;
  --d2-medium-letter-spacing: -2px;
  --d2-medium-line-height: 86px;
  --drop-shadow-far: 0px 8px 10px -2px rgba(0, 0, 0, 0.15);
  --drop-shadow-high: 0px 2px 8px 0px rgba(0, 0, 0, 0.25);
  --drop-shadow-low: 0px 1px 4px 0px rgba(0, 0, 0, 0.1);
  --drop-shadow-mid: 0px 2px 6px 1px rgba(0, 0, 0, 0.1);
  --h1-bold-font-family: "Geist", Helvetica;
  --h1-bold-font-size: 56px;
  --h1-bold-font-style: normal;
  --h1-bold-font-weight: 700;
  --h1-bold-letter-spacing: -1px;
  --h1-bold-line-height: 72px;
  --h1-medium-font-family: "Geist", Helvetica;
  --h1-medium-font-size: 56px;
  --h1-medium-font-style: normal;
  --h1-medium-font-weight: 500;
  --h1-medium-letter-spacing: -1px;
  --h1-medium-line-height: 72px;
  --h2-bold-font-family: "Geist", Helvetica;
  --h2-bold-font-size: 48px;
  --h2-bold-font-style: normal;
  --h2-bold-font-weight: 700;
  --h2-bold-letter-spacing: -1px;
  --h2-bold-line-height: 60px;
  --h2-medium-font-family: "Geist", Helvetica;
  --h2-medium-font-size: 48px;
  --h2-medium-font-style: normal;
  --h2-medium-font-weight: 500;
  --h2-medium-letter-spacing: -1px;
  --h2-medium-line-height: 60px;
  --h3-bold-font-family: "Geist", Helvetica;
  --h3-bold-font-size: 36px;
  --h3-bold-font-style: normal;
  --h3-bold-font-weight: 700;
  --h3-bold-letter-spacing: -1px;
  --h3-bold-line-height: 46px;
  --h3-medium-font-family: "Geist", Helvetica;
  --h3-medium-font-size: 36px;
  --h3-medium-font-style: normal;
  --h3-medium-font-weight: 500;
  --h3-medium-letter-spacing: -1px;
  --h3-medium-line-height: 46px;
  --h4-black-font-family: "Geist", Helvetica;
  --h4-black-font-size: 24px;
  --h4-black-font-style: normal;
  --h4-black-font-weight: 900;
  --h4-black-letter-spacing: -0.5px;
  --h4-black-line-height: 32px;
  --h4-bold-font-family: "Geist", Helvetica;
  --h4-bold-font-size: 24px;
  --h4-bold-font-style: normal;
  --h4-bold-font-weight: 700;
  --h4-bold-letter-spacing: -0.5px;
  --h4-bold-line-height: 32px;
  --h4-medium-font-family: "Geist", Helvetica;
  --h4-medium-font-size: 24px;
  --h4-medium-font-style: normal;
  --h4-medium-font-weight: 500;
  --h4-medium-letter-spacing: -0.5px;
  --h4-medium-line-height: 32px;
  --h5-bold-font-family: "Geist", Helvetica;
  --h5-bold-font-size: 18px;
  --h5-bold-font-style: normal;
  --h5-bold-font-weight: 700;
  --h5-bold-letter-spacing: -0.5px;
  --h5-bold-line-height: 24px;
  --h5-medium-font-family: "Geist", Helvetica;
  --h5-medium-font-size: 18px;
  --h5-medium-font-style: normal;
  --h5-medium-font-weight: 500;
  --h5-medium-letter-spacing: -0.5px;
  --h5-medium-line-height: 24px;
  --h6-bold-font-family: "Geist", Helvetica;
  --h6-bold-font-size: 16px;
  --h6-bold-font-style: normal;
  --h6-bold-font-weight: 700;
  --h6-bold-letter-spacing: 0px;
  --h6-bold-line-height: 24px;
  --h6-medium-font-family: "Geist", Helvetica;
  --h6-medium-font-size: 16px;
  --h6-medium-font-style: normal;
  --h6-medium-font-weight: 500;
  --h6-medium-letter-spacing: 0px;
  --h6-medium-line-height: 24px;
  --h6-semibold-font-family: "Geist", Helvetica;
  --h6-semibold-font-size: 16px;
  --h6-semibold-font-style: normal;
  --h6-semibold-font-weight: 600;
  --h6-semibold-letter-spacing: 0px;
  --h6-semibold-line-height: 24px;
}


/* Global reset ve temel stiller */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  
}

body {
  font-family: "Inter", sans-serif;
  background-color: #f8f9fa;
  color: #333;
  margin: 0;
  padding: 0; 
}

/* Ana kapsayıcı */
#app-container {
  max-width: 100vh;  /* Hedef genişlik */
  margin: 0 auto;     /* Ortalamak için */
  padding: 20px;      /* İsteğe bağlı iç boşluk */
}